% This script defines all the Reaction Wheeels Assembly parameters.%
% Questo script definisce i parametri delle Ruote di Inerzia.%

% It defines the Reaction wheels Inertia Moments along the satellite principal
% axes:%
% Definisce i moementi di inerzia delle ruote di reazione lungo gli assi
% principali del satellite:%

%IRx= 3.4e-4; %[Kg m^2]

%IRy= 3.4e-4; %[Kg m^2]

%IRz= 3.4e-4; %[Kg m^2]

%IRw= 3.4e-4; %[Kg m^2]%



IRx= 2e-3; %[Kg m^2]%

IRy= 2e-3; %[Kg m^2]%

IRz= 2e-3; %[Kg m^2]%

%IRw= 2e-3; %[Kg m^2]%

IRw=[IRx 0 0; 0 IRy 0; 0 0  IRz];

IRwinv=inv(IRw);


% It defines the maximum Reaction wheels maximum angular velocity:%
% Definisce la velocit angolare massima delle ruote di reazione:%

wRwmax= 680.5; %[rad/s]%


% It defines the Reaction wheels maximum torque:%
% Definisceil massimo momento che pu essere fornito dalle ruote:%

TRwmax= 0.025; %[Nm]%


% It defines the Reaction wheels Friction:%
% Definisce iil coefficiente di attrito delle ruote:%

fric= 0.001; %[kg m^2/s]%


