% This script generates all the mission simulation parameters.%
% Questo script genera tutti i parametri della simulazione della missione.%

% Orbit_generator initializes the orbit parameters, gives the target Frame LVLH 
% for reference to the satellite, and computes the rotation matrix Ct from 
% ECI to LVLH reference.%

% Orbit_generator inizializza i parametri orbitali, d la terna obiettivo
% LVLH per il satellite,  e calcola la matrice di rotazione Ct dal
% riferimento ECI al riferimento LVLH.%

Orbit_generator;


% ECI_Sun_direction generates the ECI Sun direction vector.%
% ECI_Sun_direction genera la direzione del Sole nel riferimento ECI.%

ECI_Sun_direction;


% ECI_Star_direction generates the ECI star direction vector.%
% ECI_Star_direction genera la direzione della stella nel riferimento ECI.%

ECI_Star_direction;


% Sensors_rotations defines the rotation matrixes of the sun sensor and
% star sensor with respect to the satellite body reference.%
% Sensors_rotations definisce le matrici di rotazione del sensore di sole e
% del sensore di stella nel riferimento Body del satellite.%

Sensors_rotations;

% Satellite_Inertia define the satellite Principal Moment of Inertia.%
% Satellite_Inertia definisce i momemti principali di inerzia del
% satellite.%

Satellite_Inertia;
 
 
% Sat_mag defines the Satellite's Mgnetic Dipole Components.%
% Sat_mag definisce le componenti del dipolo magnetico del satellite.%
 
Sat_mag;


% Sat_omega_ini defines the satellite initial angular velocity component
% along its principal axes.%
% Sat_omega_ini definisce le componenti della velocit angolare iniziale
% del satellite lungo i suoi assi principali.%

Sat_omega_ini


% RWA defines all the Reaction Wheeels Assembly parameters.%
% RWA definisce tutti i parametri delle ruote di reazione.%

RWA;


% PID_control defines the controller PID constants.%
% PID_control definiscele costanti del controllore PID.%

PID_control



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End.% Fine.%


 


